%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%endif

%if %mdkversion < 200700
%define subrel 1
%define firefox_package mozilla-firefox
%else
%define firefox_package %mklibname mozilla-firefox %{firefox_version}
%endif


%define name    mozilla-firefox-l10n
%define oname   mozilla-firefox
%define version 1.5.0.7
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define firefox_version %{version}
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary:   Localisations for Firefox (virtual package)
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Networking/WWW
Url:       http://www.mozilla.org/
BuildRoot: %{_buildroot}
BuildRequires: libxml2-utils

%description
Localisations for Firefox

#--------------------------------------------------------------------

%package -n %{oname}-br
%define  language_br  br-FR
%define  locale_br %(echo %language_br|sed -e 's/-.*//g')
%define  langname_br Breton

Summary: %{langname_br} interface for Firefox
Source0: %{xpidir}/%language_br.xpi
License: GPL
Group:   Networking/WWW
# source was build from a hand written install.rdf and br-FR.jar from:
Url:     http://www.drouizig.org/Pellgargan/Meziantou/firefox-1.0.7.br-FR.win32.zip
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_br}

%description  -n %{oname}-br
%{langname_br} localization for Firefox

%files  -n %{oname}-br
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_br}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_br}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_br}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_br}@firefox.mozilla.org/chrome

#--------------------------------------------------------------------

%package -n %{oname}-ca
%define  language_ca  ca
%define  locale_ca %(echo %language_ca|sed -e 's/-.*//g')
%define  langname_ca Catalan

Summary: %{langname_ca} interface for Firefox
Source1: %{xpidir}/%language_ca.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_ca}


%description  -n %{oname}-ca
%{langname_ca} localization for Firefox

%files -n %{oname}-ca
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ca}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ca}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ca}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ca}@firefox.mozilla.org/chrome


#-------------------------------------------------------------------

%package -n %{oname}-cs
%define  language_cs  cs
%define  locale_cs %(echo %language_cs|sed -e 's/-.*//g')
%define  langname_cs Czech

Summary: %{langname_cs} interface for Firefox
Source2: %{xpidir}/%language_cs.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_cs}

%description  -n %{oname}-cs
%{langname_cs} localization for Firefox

%files -n %{oname}-cs
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_cs}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_cs}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_cs}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_cs}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-da
%define  language_da  da
%define  locale_da %(echo %language_da|sed -e 's/-.*//g')
%define  langname_da Dansk

Summary: %{langname_da} interface for Firefox
Source3: %{xpidir}/%language_da.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_da}

%description  -n %{oname}-da
%{langname_da} localization for Firefox

%files -n %{oname}-da
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_da}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_da}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_da}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_da}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-de
%define  language_de  de
%define  locale_de %(echo %language_de|sed -e 's/-.*//g')
%define  langname_de German

Summary: %{langname_de} interface for Firefox
Source4: %{xpidir}/%language_de.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_de}


%description  -n %{oname}-de
%{langname_de} localization for Firefox

%files -n %{oname}-de
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_de}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_de}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_de}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_de}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-el
%define  language_el  el
%define  locale_el %(echo %language_el|sed -e 's/-.*//g')
%define  langname_el Greek

Summary: %{langname_el} interface for Firefox
Source5: %{xpidir}/%language_el.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_el}

%description  -n %{oname}-el
%{langname_el} localization for Firefox

%files -n %{oname}-el
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_el}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_el}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_el}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_el}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-es
%define  language_es  es-ES
%define  locale_es %(echo %language_es|sed -e 's/-.*//g')
%define  langname_es Spanish

Summary: %{langname_es} interface for Firefox
Source6: %{xpidir}/%language_es.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_es}

%description  -n %{oname}-es
%{langname_es} localization for Firefox

%files -n %{oname}-es
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_es}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_es}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_es}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_es}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-fi
%define  language_fi  fi
%define  locale_fi %(echo %language_fi|sed -e 's/-.*//g')
%define  langname_fi Finnish

Summary: %{langname_fi} interface for Firefox
Source7: %{xpidir}/%language_fi.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_fi}

%description  -n %{oname}-fi
%{langname_fi} localization for Firefox

%files -n %{oname}-fi
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_fi}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_fi}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_fi}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_fi}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-fr
%define  language_fr  fr
%define  locale_fr %(echo %language_fr|sed -e 's/-.*//g')
%define  langname_fr French

Summary: %{langname_fr} interface for Firefox
Source8: %{xpidir}/%language_fr.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_fr}


%description  -n %{oname}-fr
%{langname_fr} localization for Firefox

%files -n %{oname}-fr
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_fr}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_fr}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_fr}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_fr}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ga
%define  language_ga  ga-IE
%define  locale_ga %(echo %language_ga|sed -e 's/-.*//g')
%define  langname_ga Irish

Summary: %{langname_ga} interface for Firefox
Source9: %{xpidir}/%language_ga.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_ga}

%description  -n %{oname}-ga
%{langname_ga} localization for Firefox

%files -n %{oname}-ga
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_ga}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_ga}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_ga}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_ga}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-he
%define  language_he  he
%define  locale_he %(echo %language_he|sed -e 's/-.*//g')
%define  langname_he Hebrew

Summary: %{langname_he} interface for Firefox
Source10: %{xpidir}/%language_he.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_he}

%description  -n %{oname}-he
%{langname_he} localization for Firefox

%files -n %{oname}-he
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_he}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_he}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_he}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_he}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-hu
%define  language_hu  hu
%define  locale_hu %(echo %language_hu|sed -e 's/-.*//g')
%define  langname_hu Hungarian

Summary: %{langname_hu} interface for Firefox
Source11: %{xpidir}/%language_hu.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_hu}

%description  -n %{oname}-hu
%{langname_hu} localization for Firefox

%files -n %{oname}-hu
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_hu}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_hu}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_hu}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_hu}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-it
%define  language_it  it
%define  locale_it %(echo %language_it|sed -e 's/-.*//g')
%define  langname_it Italian

Summary: %{langname_it} interface for Firefox
Source12: %{xpidir}/%language_it.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_it}

%description  -n %{oname}-it
%{langname_it} localization for Firefox

%files -n %{oname}-it
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_it}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_it}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_it}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_it}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ja
%define  language_ja  ja
%define  locale_ja %(echo %language_ja|sed -e 's/-.*//g')
%define  langname_ja Japanese

Summary: %{langname_ja} interface for Firefox
Source13: %{xpidir}/%language_ja.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_ja}

%description  -n %{oname}-ja
%{langname_ja} localization for Firefox

%files -n %{oname}-ja
%defattr(644,root,root,755)
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ja}@firefox.mozilla.org

#-------------------------------------------------------------------

%package -n %{oname}-ko
%define  language_ko  ko
%define  locale_ko %(echo %language_ko|sed -e 's/-.*//g')
%define  langname_ko Korean

Summary: %{langname_ko} interface for Firefox
Source14: %{xpidir}/%language_ko.xpi
Patch1: ko-validate.patch
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_ko}

%description  -n %{oname}-ko
%{langname_ko} localization for Firefox

%files -n %{oname}-ko
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ko}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ko}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ko}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ko}@firefox.mozilla.org/chrome

#------------------------------------------------------------------

%package -n %{oname}-nb
%define  language_nb  nb-NO
%define  locale_nb %(echo %language_nb|sed -e 's/-.*//g')
%define  langname_nb Norwegian Bokmaal

Summary: %{langname_nb} interface for Firefox
Source15: %{xpidir}/%language_nb.xpi
# fix utf8 validation
Patch0: nb-NO-fixutf8.patch
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_nb}

%description  -n %{oname}-nb
%{langname_nb} localization for Firefox

%files -n %{oname}-nb
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_nb}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_nb}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_nb}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_nb}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-nl
%define  language_nl  nl
%define  locale_nl %(echo %language_nl|sed -e 's/-.*//g')
%define  langname_nl Dutch

Summary: %{langname_nl} interface for Firefox
Source16:%{xpidir}/%language_nl.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_nl}

%description  -n %{oname}-nl
%{langname_nl} localization for Firefox

%files -n %{oname}-nl
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_nl}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_nl}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_nl}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_nl}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-pl
%define  language_pl  pl
%define  locale_pl %(echo %language_pl|sed -e 's/-.*//g')
%define  langname_pl Polish

Summary: %{langname_pl} interface for Firefox
Source17:%{xpidir}/%language_pl.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_pl}

%description  -n %{oname}-pl
%{langname_pl} localization for Firefox

%files -n %{oname}-pl
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_pl}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_pl}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_pl}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_pl}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-pt_BR
%define  language_pt_BR  pt-BR
%define  locale_pt_BR %(echo %language_pt_BR|sed -e 's/-.*//g')
%define  langname_pt_BR Brazilian portuguese

Summary: %{langname_pt_BR} interface for Firefox
Source18: %{xpidir}/%language_pt_BR.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_pt_BR}

%description  -n %{oname}-pt_BR
%{langname_pt_BR} localization for Firefox

%files -n %{oname}-pt_BR
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pt_BR}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pt_BR}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pt_BR}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pt_BR}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-pt
%define  language_pt pt-PT
%define  locale_pt %(echo %language_pt|sed -e 's/-.*//g')
%define  langname_pt Portuguese

Summary: %{langname_pt} interface for Firefox
Source19: %{xpidir}/%language_pt.xpi
License: GPL
Group:   Networking/WWW
# The XPI file come from : http://server.intraneia.com/~mozilla/ff/1.5/xpi/
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_pt}

%description  -n %{oname}-pt
%{langname_pt} localization for Firefox

%files -n %{oname}-pt
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pt}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pt}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pt}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pt}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ro
%define  language_ro  ro
%define  locale_ro %(echo %language_ro|sed -e 's/-.*//g')
%define  langname_ro Romanian

Summary: %{langname_ro} interface for Firefox
Source20: %{xpidir}/%language_ro.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_ro}


%description  -n %{oname}-ro
%{langname_ro} localization for Firefox

%files -n %{oname}-ro
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ro}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ro}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ro}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ro}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ru
%define  language_ru ru 
%define  locale_ru %(echo %language_ru|sed -e 's/-.*//g')
%define  langname_ru Russian

Summary: %{langname_ru} interface for Firefox
Source21: %{xpidir}/%language_ru.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_ru}

%description  -n %{oname}-ru
%{langname_ru} localization for Firefox

%files -n %{oname}-ru
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ru}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ru}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ru}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ru}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-sk
%define  language_sk sk
%define  locale_sk %(echo %language_sk|sed -e 's/-.*//g')
%define  langname_sk Slovak

Summary: %{langname_sk} interface for Firefox
Source22: %{xpidir}/%language_sk.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_sk}


%description  -n %{oname}-sk
%{langname_sk} localization for Firefox

%files -n %{oname}-sk
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_sk}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_sk}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_sk}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_sk}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-sl
%define  language_sl  sl
%define  locale_sl %(echo %language_sl|sed -e 's/-.*//g')
%define  langname_sl Slovenian

Summary: %{langname_sl} interface for Firefox
Source23:%{xpidir}/%language_sl.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_sl}

%description  -n %{oname}-sl
%{langname_sl} localization for Firefox

%files -n %{oname}-sl
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_sl}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_sl}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_sl}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_sl}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-sv
%define  language_sv sv-SE
%define  locale_sv %(echo %language_sv|sed -e 's/-.*//g')
%define  langname_sv Swedish

Summary: %{langname_sv} interface for Firefox
Source24:%{xpidir}/%language_sv.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_sv}

%description  -n %{oname}-sv
%{langname_sv} localization for Firefox

%files -n %{oname}-sv
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_sv}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_sv}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_sv}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_sv}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-tr
%define  language_tr tr
%define  locale_tr %(echo %language_tr|sed -e 's/-.*//g')
%define  langname_tr Turkish

Summary: %{langname_tr} interface for Firefox
Source25: %{xpidir}/%language_tr.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_tr}

%description  -n %{oname}-tr
%{langname_tr} localization for Firefox

%files -n %{oname}-tr
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_tr}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_tr}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_tr}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_tr}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-uk
%define  language_uk  uk-UA
%define  locale_uk %(echo %language_uk|sed -e 's/-.*//g')
%define  langname_uk Ukrainian

Summary: %{langname_uk} interface for Firefox
Source26: ff15-%language_uk.xpi
Patch2: uk-fixname.patch
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_uk}


%description  -n %{oname}-uk
%{langname_uk} localization for Firefox

%files -n %{oname}-uk
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_uk}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_uk}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_uk}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_uk}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-zh_CN
%define  language_zh_CN  zh-CN
%define  locale_zh_CN %(echo %language_zh_CN|sed -e 's/-.*//g')
%define  langname_zh_CN Simplified Chinese

Summary: %{langname_zh_CN} interface for Firefox
Source27: %{xpidir}/%{language_zh_CN}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_zh_CN}

%description  -n %{oname}-zh_CN
%{langname_zh-CN} localization for Firefox

%files -n %{oname}-zh_CN
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_zh_CN}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_zh_CN}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_zh_CN}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_zh_CN}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-zh_TW
%define  language_zh_TW  zh-TW
%define  locale_zh_TW %(echo %language_zh_TW|sed -e 's/-.*//g')
%define  langname_zh_TW Simplified Chinese

Summary: %{langname_zh_TW} interface for Firefox
Source28: %{xpidir}/%{language_zh_TW}.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_zh_TW}

%description  -n %{oname}-zh_TW
%{langname_zh_TW} localization for Firefox

%files -n %{oname}-zh_TW
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_zh_TW}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_zh_TW}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_zh_TW}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_zh_TW}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-ar
%define  language_ar  ar
%define  locale_ar %(echo %language_ar|sed -e 's/-.*//g')
%define  langname_ar Arabic

Summary: %{langname_ar} interface for Firefox
Source29: %language_ar.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_ar}


%description  -n %{oname}-ar
%{langname_ar} localization for Firefox

%files -n %{oname}-ar
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ar}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ar}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ar}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_ar}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-bg
%define  language_bg  bg-BG
%define  locale_bg %(echo %language_bg|sed -e 's/-.*//g')
%define  langname_bg Bulgarian

Summary: %{langname_bg} interface for Firefox
Source30: %locale_bg.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_bg}


%description  -n %{oname}-bg
%{langname_bg} localization for Firefox

%files -n %{oname}-bg
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_bg}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_bg}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_bg}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_bg}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------
%package -n %{oname}-es_AR
%define  language_es_AR  es-AR
%define  locale_es_AR %(echo %language_es|sed -e 's/-.*//g')
%define  langname_es_AR Spanish (Argentina)

Summary: %{langname_es_AR} interface for Firefox
Source31: %{xpidir}/%language_es_AR.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_es_AR}

%description  -n %{oname}-es_AR
%{langname_es_AR} localization for Firefox

%files -n %{oname}-es_AR
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_es_AR}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_es_AR}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_es_AR}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_es_AR}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-eu
%define  language_eu  eu-ES
%define  locale_eu %(echo %language_eu|sed -e 's/-.*//g')
%define  langname_eu Basque

Summary: %{langname_eu} interface for Firefox
Source32: %locale_eu.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_eu}


%description  -n %{oname}-eu
%{langname_eu} localization for Firefox

%files -n %{oname}-eu
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_eu}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_eu}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_eu}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_eu}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------

%package -n %{oname}-fy
%define  language_fy  fy-NL
%define  locale_fy %(echo %language_fy|sed -e 's/-.*//g')
%define  langname_fy Frisian

Summary: %{langname_fy} interface for Firefox
Source33: %language_fy.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_fy}


%description  -n %{oname}-fy
%{langname_fy} localization for Firefox

%files -n %{oname}-fy
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_fy}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_fy}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_fy}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_fy}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------
%package -n %{oname}-lt
%define  language_lt  lt
%define  locale_lt %(echo %language_lt|sed -e 's/-.*//g')
%define  langname_lt Lithuanian

Summary: %{langname_lt} interface for Firefox
Source34: %locale_lt.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_lt}


%description  -n %{oname}-lt
%{langname_lt} localization for Firefox

%files -n %{oname}-lt
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_lt}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_lt}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_lt}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_lt}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------
%package -n %{oname}-mk
%define  language_mk  mk
%define  locale_mk %(echo %language_mk|sed -e 's/-.*//g')
%define  langname_mk Macedonian

Summary: %{langname_mk} interface for Firefox
Source35: %locale_mk.xpi
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_mk}


%description  -n %{oname}-mk
%{langname_mk} localization for Firefox

%files -n %{oname}-mk
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_mk}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_mk}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_mk}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale_mk}@firefox.mozilla.org/chrome

#-------------------------------------------------------------------
%package -n %{oname}-pa_IN
%define  language_pa_IN pa-IN
%define  locale_pa_IN %(echo %language_pa_IN|sed -e 's/-.*//g')
%define  langname_pa_IN Punjabi (gurmukhi)

Summary: %{langname_pa_IN} interface for Firefox
Source36: %language_pa_IN.xpi
Patch3: pa-IN-validate.patch
License: GPL
Group:   Networking/WWW
Url:      http://www.mozilla.org/products/firefox/
Requires: %{firefox_package} = %{firefox_version}
Requires: locales-%{locale_pa_IN}


%description  -n %{oname}-pa_IN
%{langname_mk} localization for Firefox

%files -n %{oname}-pa_IN
%defattr(644,root,root,755)
%dir %_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pa_IN}@firefox.mozilla.org
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pa_IN}@firefox.mozilla.org/install.rdf
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pa_IN}@firefox.mozilla.org/chrome.manifest
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{language_pa_IN}@firefox.mozilla.org/chrome

%prep
%setup -q -c -T

%build

%install
rm -rf %buildroot

# Br translation
unzip %SOURCE0
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_br}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_br}@firefox.mozilla.org/
rm -fr *

# Ca translation
unzip %SOURCE1
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ca}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ca}@firefox.mozilla.org/
rm -fr *

# Cs translation
unzip  %SOURCE2
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_cs}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_cs}@firefox.mozilla.org/
rm -fr *

# Da translation
unzip  %SOURCE3
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_da}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_da}@firefox.mozilla.org/
rm -fr *

# De translation
unzip  %SOURCE4
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_de}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_de}@firefox.mozilla.org/
rm -fr *

# El translation
unzip  %SOURCE5
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_el}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_el}@firefox.mozilla.org/
rm -fr *

# Es translation
unzip  %SOURCE6
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_es}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_es}@firefox.mozilla.org/
rm -fr *

# Fi translation
unzip  %SOURCE7
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_fi}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_fi}@firefox.mozilla.org/
rm -fr *

# Fr translation
unzip  %SOURCE8
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_fr}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_fr}@firefox.mozilla.org/
rm -fr *

# Ga translation
unzip  %SOURCE9
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_ga}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_ga}@firefox.mozilla.org/
rm -fr *

# He translation
unzip  %SOURCE10
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_he}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_he}@firefox.mozilla.org/
rm -fr *

# Hu translation
unzip  %SOURCE11
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_hu}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_hu}@firefox.mozilla.org/
rm -fr *

# It translation
unzip  %SOURCE12
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_it}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_it}@firefox.mozilla.org/
rm -fr *

# Ja translation
unzip  %SOURCE13
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ja}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ja}@firefox.mozilla.org/
rm -fr *

# Ko translation
unzip  %SOURCE14
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ko}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ko}@firefox.mozilla.org/
cd  %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ko}@firefox.mozilla.org/
patch -p0 < %{PATCH1}
cd -
rm -fr *

# Nb translation
unzip  %SOURCE15
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_nb}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_nb}@firefox.mozilla.org/
cd  %buildroot%{mozillalibdir}/extensions/langpack-%{language_nb}@firefox.mozilla.org/
patch -p0 < %{PATCH0}
cd -
rm -fr *

# Nl translation
unzip  %SOURCE16
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_nl}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_nl}@firefox.mozilla.org/
rm -fr *

# Pl translation
unzip  %SOURCE17
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_pl}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_pl}@firefox.mozilla.org/
rm -fr *

# Pt-Br translation
unzip  %SOURCE18
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_pt_BR}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_pt_BR}@firefox.mozilla.org/
rm -fr *

# Pt translation
unzip  %SOURCE19
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_pt}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_pt}@firefox.mozilla.org/
rm -fr *

# Ro translation
unzip  %SOURCE20
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ro}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ro}@firefox.mozilla.org/
rm -fr *

# Ru translation
unzip  %SOURCE21
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ru}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ru}@firefox.mozilla.org/
rm -fr *

# Sk translation
unzip  %SOURCE22
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_sk}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_sk}@firefox.mozilla.org/
rm -fr *

# Sl translation
unzip  %SOURCE23
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_sl}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_sl}@firefox.mozilla.org/
rm -fr *

# Sv translation
unzip  %SOURCE24
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_sv}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_sv}@firefox.mozilla.org/
rm -fr *

# Tr translation
unzip  %SOURCE25
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_tr}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_tr}@firefox.mozilla.org/
rm -fr *

# Uk translation
unzip  %SOURCE26
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_uk}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_uk}@firefox.mozilla.org/
cd  %buildroot%{mozillalibdir}/extensions/langpack-%{locale_uk}@firefox.mozilla.org/
patch -p0 < %{PATCH2}
cd -
rm -fr *

# zh_CN translation
unzip  %SOURCE27
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_zh_CN}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_zh_CN}@firefox.mozilla.org/
rm -fr *

# zh_TW translation
unzip  %SOURCE28
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_zh_TW}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_zh_TW}@firefox.mozilla.org/
rm -fr *

# ar translation
unzip  %SOURCE29
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ar}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_ar}@firefox.mozilla.org/
rm -fr *

# bg translation
unzip  %SOURCE30
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_bg}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_bg}@firefox.mozilla.org/
rm -fr *

# es-AR translation
unzip  %SOURCE31
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_es_AR}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_es_AR}@firefox.mozilla.org/
rm -fr *

# eu translation
unzip  %SOURCE32
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_eu}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_eu}@firefox.mozilla.org/
rm -fr *

# fy translation
unzip  %SOURCE33
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_fy}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_fy}@firefox.mozilla.org/
rm -fr *

# lt translation
unzip  %SOURCE34
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_lt}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_lt}@firefox.mozilla.org/
rm -fr *

# mk translation
unzip  %SOURCE35
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale_mk}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale_mk}@firefox.mozilla.org/
rm -fr *

# pa-IN translation
unzip  %SOURCE36
patch -p0 < %PATCH3
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{language_pa_IN}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{language_pa_IN}@firefox.mozilla.org/
rm -fr *

# disable version check
sed -i -e 's/maxVersion>.*</maxVersion>1.5.0.*</g' %buildroot%{mozillalibdir}/extensions/langpack-*@firefox.mozilla.org/install.rdf

# all install.rdf files must validate
xmllint --noout %buildroot%{mozillalibdir}/extensions/langpack-*@firefox.mozilla.org/install.rdf

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Mon Sep 18 2006 Vincent Danen <vdanen@mandriva.com>
- rebuild for 2006 updates

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-09-15 18:36:02 (61619)
- Add more languages

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-09-15 16:29:13 (61587)
- Release 1.5.0.7

* Thu Sep 14 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-09-14 17:39:54 (61471)
- Fix dependencies

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-09-06 17:09:01 (60321)
- subrel is only for 2006

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-09-06 15:43:35 (60294)
- Fix korean install.rdf to validate

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-09-06 15:40:43 (60291)
- redo breton zip file
- fix various translations pack
- clean specfile
- remove version check in each install.rdf file
- validate install.rdf files at compile time

* Thu Aug 24 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-24 09:26:47 (57795)
- add macros for corpo3

* Wed Aug 23 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-23 14:39:46 (57717)
- Use old name for packages (avoid provides/obsoletes) thanks fcrozat

* Wed Aug 23 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-23 14:02:33 (57715)
- Another bunch of fixes

* Wed Aug 23 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-23 12:58:56 (57705)
- Fix some languages ( es, pt-BR, ga, nb) thanks chty (QA)

* Tue Aug 22 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-22 12:55:36 (57466)
- mozilla-firefox-l10n-1.5.0.6-2mdv2007.0
- Add Provides/Obsoletes
- Fix Sources

* Tue Aug 22 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-22 11:48:05 (57450)
- import mozilla-firefox-l10n-1.5.0.6-1mdv2007.0

